import { runtime } from '../providers';
export function auto$(subClosFunc, config = {}) {
    config.immediate = false; // 所有用 auto$ 进行的订阅，均不主动触发首次订阅，由队列函数去主动触发
    runtime.readItemDependencies = [];
    subClosFunc();
    const unsubscribeFuncArr = runtime.readItemDependencies.map((item) => {
        return item.subscribe(subClosFunc, config);
    });
    delete runtime.readItemDependencies;
    return () => {
        unsubscribeFuncArr.forEach((unsubscribe) => unsubscribe());
    };
}
//# sourceMappingURL=auto$.func.js.map